
QGIS Application - Bug report #8430

Field Calculator - area failing - overflowing

2013-08-08 05:06 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17199

Description

See attached.

I tried to use QGIS to calculate the areas of things, but as you can see in the dec2 (decimal size 19) and qgis_dec20 (decimal size 20)

columns, it overflowed and went negative.

arcgisArea is what ArcGIS came up with.

Related issues:

Duplicates QGIS Application - Feature request # 5546: Add a warning when vect... Open 2012-05-07

History

#1 - 2013-08-08 05:13 AM - Jonathan Moules

As a follow on and having discovered #8431 - it turns out that the data is correct after the calculation - QGIS shows it in the attribute table correctly

whether as an integer (with decimal place!) or decimal.

However, when you "save edits", it goes to the dbf file. It is at this point it turns into a negative.

The negative you get depends on format.

dec2 was actually "integer".

qgis_dec20 was a 20 width decimal.

#2 - 2013-08-08 11:06 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #5546

Files
